"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var vdom_1 = require("@dojo/framework/core/vdom");
var util_1 = require("util");
var factory = vdom_1.create().properties();
exports.default = factory(function index(_a) {
    var properties = _a.properties;
    var data = properties().data;
    var value = data;
    if (Array.isArray(data) || util_1.isObject(data)) {
        value = JSON.stringify(data);
    }
    return vdom_1.tsx("virtual", null, "" + (value ? value : ""));
});

/*# sourceMappingURL=index.js.map*/