import { tsx, create } from "@dojo/framework/core/vdom";
import { isObject } from "util";
const factory = create().properties();
export default factory(function index({ properties }) {
    const { data } = properties();
    let value = data;
    if (Array.isArray(data) || isObject(data)) {
        value = JSON.stringify(data);
    }
    return tsx("virtual", null, `${value ? value : ""}`);
});

/*# sourceMappingURL=index.mjs.map*/