import { create, tsx } from "@dojo/framework/core/vdom";
import * as css from "./index.m.css";
import * as c from "bootstrap-classes";
const factory = create().properties();
export default factory(function TextInput({ properties }) {
    const { value = "", onValue } = properties();
    return (tsx("input", { key: "root", classes: [css.root, c.form_control], value: value, oninput: (event) => {
            event.stopPropagation();
            const value = event.target.value;
            onValue && onValue(value);
        } }));
});

/*# sourceMappingURL=index.mjs.map*/